=== t/Makefile ===
trash=\
	repository \
	rep-BackupManagertest \
	bar-foo \
	foo-foo.d \
	static \
	var \
	test.pl \
	rep-132312-test \
	rep-sukria-test \
	foo.d \
	bar01 \
	foo-bar.d \
	bar21

clean:
	rm -rf $(trash)
