=== debian/changelog ===
backup-manager (0.7.14-3) unstable; urgency=medium

  * Add test patch for dar 2.7.17 (Closes: #1102378)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Apr 2025 16:31:04 +0200

backup-manager (0.7.14-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/backup-manager.lintian-overrides
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Margarita Manterola ]
  * Remove old changelog merging artifacts
  * Rename Debian NEWS file
  * Use UTF-8 for Spanish, French and Swedish translation files
  * Add lintian overrides for upstream encoding of files
  * Add lintian overrides for the cron script template
  * Add lintian overrides for the missing systemd-timer
  * Update debian/watch file
  * Add gbp configuration
  * Update debian/copyright to DEP-5 format
  * Check for nocheck option when running tests
  * Add myself to uploaders

 -- Margarita Manterola <marga@debian.org>  Sun, 30 Mar 2025 15:51:03 +0200

backup-manager (0.7.14-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update programme translation
    - French translation.
      Thanks to Jean-Pierre Giraud (Closes: #928816)
  * backup-manager-doc: Add Multi-Arch: foreign.
    Thanks Debian Janitor.

 -- Helge Kreutzmann <debian@helgefjell.de>  Fri, 10 Feb 2023 17:59:54 +0100

backup-manager (0.7.14-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add new patch: 0007-Fixes-two-coding-bugs-in-backup-manager-upload
    Thanks to Bachsau for reporting (Closes: #966566)

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 27 Jan 2021 01:07:50 +0100

backup-manager (0.7.14-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix purging of remote archives via FTP or SSH.
    Thanks to Thomas Parmelan (Closes: #895901)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Jul 2019 08:29:18 +0200

backup-manager (0.7.14-1) sid; urgency=medium

  * Add new patch: Drop-extra-continue.patch.
    Thanks to Brian Minton for reporting (Closes: 841422)
  * Update Vcs fields
  * New upstream release (0.7.14).
  * Drop upstream released patches
  * Set LIBDIR as an install make parameter
  * Rename variables
  * Fix the perl dir.
  * Bump to Standards-Version 4.1.3
  * Update lintian-overrides
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Mar 2018 13:07:46 +0100
